mlmmj-process(1)

NAME
mlmmj-process - process mail for an mlmmj managed mailinglist

SYNOPSIS
mlmmj-process - /path/to/list -m -/path/to/mail [-h] [-P] [-V]

DESCRIPTION

-h  Print help

-L path
    Full path to list directory

-m mail
    Full path to mail file

-P  Don't execute mlmmj-send (debugging only)

-V  Print version

This is the binary which processes a mail. Examples of what such processing is:

Access control
    Using the access rules specified in <listdir>/control/access to perform access control to the list. This is done before headers are stripped, so one can create allow rules based on headers that are later stripped.

Header stripping
    Headers specified in <listdir>/control/delheaders are deleted from the mail.

Header addition
    Headers specified in <listdir>/control/customheaders are added to the mail. This could be headers like "List-ID:" or "Reply-To:"

List control
    In case there's a mail with a recipient delimiter it's not a regular list mail. Processing of these happens in mlmmj-receive as well.

    Examples of such are: subscription requests, mails to owner etc.

    It will base it's recipient delimiter detection on the "Delivered-To:" header if present. If not, the "To:" header is used.

Moderation
    If the list is moderated, it will happen in mlmmj-process.

When processing is done, it will invoke the needed binary according to whatever mail it is. If it's a subscription request it will invoke mlmmj-sub, if it's a regular list mail it will invoke mlmmj-send(1).

SEE ALSO
The file TUNABLES from the mlmmj source distribution or in the documentation directory of the operating system distribution.

AUTHORS
This manual page was written by the following persons: Søren Boll Overgaard <boll@debian.org> (based on html2man output) Mads Martin Jørgensen <mmj@mmj.dk>